--  --------------------------------------------------------------------------------------
--  SPDX-License-Identifier: BSD-3-Clause
--  SPDX-Creator: Pierre-Marie de Rodat (derodat@adacore.com)
--  SPDX-FileCopyrightText: Copyright 2019 AdaCore (derodat@adacore.com)
--  SPDX-FileContributor: 2019 - 2022 Pierre-Marie de Rodat (pmderodat@kawie.fr)
--  --------------------------------------------------------------------------------------
--  Initial creation date : 2019-03-25
--  --------------------------------------------------------------------------------------
--
--  @summary
--
--  @description
--
--  --------------------------------------------------------------------------------------
pragma License (Unrestricted);
